# $Revision: 1.31.2.2 $, $Date: 2007/04/19 20:43:49 $
#
# Conditional build:
%bcond_without	static_libs	# don't build static library
#
Summary:	Xfce session manager
Summary(pl):	Zarzdca sesji Xfce
Name:		xfce4-session
Version:	4.4.1
Release:	1
License:	GPL v2
Group:		X11/Applications
Source0:	http://www.xfce.org/archive/xfce-%{version}/src/%{name}-%{version}.tar.bz2
# Source0-md5:	82c31aef2856e30ebc09d2911e9b96ee
Patch0:		%{name}-locale-names.patch
URL:		http://www.xfce.org/
BuildRequires:	autoconf >= 2.50
BuildRequires:	automake
BuildRequires:	gettext-devel
BuildRequires:	intltool >= 0.35.0
BuildRequires:	libtool
BuildRequires:	libxfce4mcs-devel >= %{version}
BuildRequires:	libxfcegui4-devel >= %{version}
BuildRequires:	pkgconfig
BuildRequires:	rpmbuild(macros) >= 1.311
BuildRequires:	xfce-mcs-manager-devel >= %{version}
BuildRequires:	xfce4-dev-tools >= 4.4.0
Requires(post,postun):	gtk+2
Requires(post,postun):	hicolor-icon-theme
Requires:	%{name}-libs = %{version}-%{release}
Requires:	xfce-mcs-manager >= %{version}
Obsoletes:	xfce4-toys
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
xfce4-session is the session manager for the Xfce desktop environment.

%description -l pl
xfce4-session jest zarzdc sesji dla rodowiska Xfce.

%package libs
Summary:	Xfce Session Manager library
Summary(pl):	Biblioteka zarzdcy sesji dla rodowiska Xfce
Group:		Libraries

%description libs
Xfce Session Manager library.

%description libs -l pl
Biblioteka zarzdcy sesji dla rodowiska Xfce.

%package devel
Summary:	Header files for Xfce Session Manager library
Summary(pl):	Pliki nagwkowe biblioteki zarzdcy sesji dla rodowiska Xfce
Group:		Development/Libraries
Requires:	%{name}-libs = %{version}-%{release}
Requires:	libxfcegui4-devel >= %{version}

%description devel
Header files for Xfce Session Manager library.

%description devel -l pl
Pliki nagwkowe biblioteki zarzdcy sesji dla rodowiska Xfce.

%package static
Summary:	Static Xfce Session Manager library
Summary(pl):	Statyczna biblioteka zarzdcy sesji dla rodowiska Xfce
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static Xfce Session Manager library.

%description static -l pl
Statyczna biblioteka zarzdcy sesji dla rodowiska Xfce.

%prep
%setup -q
%patch0 -p1

mv -f po/{nb_NO,nb}.po
mv -f po/{pt_PT,pt}.po

%build
%{__libtoolize}
%{__aclocal}
%{__autoheader}
%{__automake}
%{__autoconf}
%configure \
	--enable-dbus \
	--enable-session-screenshots \
	%{!?with_static_libs:--disable-static} \
	ICEAUTH=/usr/X11R6/bin/iceauth
# why libxfsm_4_2_la_LIBADD on Cygwin only???
%{__make} \
	libxfsm_4_2_la_LIBADD="\$(LIBX11_LIBS) \$(LIBXFCEGUI4_LIBS)"

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

rm -f $RPM_BUILD_ROOT%{_libdir}/xfce4/mcs-plugins/*.{la,a}
rm -f $RPM_BUILD_ROOT%{_libdir}/xfce4/splash/engines/*.{la,a}

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_icon_cache hicolor

%postun
%update_icon_cache hicolor

%post	libs -p /sbin/ldconfig
%postun	libs -p /sbin/ldconfig

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS COPYING ChangeLog ChangeLog.pre-xfce-devel NEWS README TODO
%attr(755,root,root) %{_bindir}/*
%attr(755,root,root) %{_libdir}/balou-*-theme
%attr(755,root,root) %{_libdir}/xfsm-shutdown-helper
%attr(755,root,root) %{_libdir}/xfce4/mcs-plugins/*.so
%dir %{_libdir}/xfce4/splash
%dir %{_libdir}/xfce4/splash/engines
%attr(755,root,root) %{_libdir}/xfce4/splash/engines/*.so
%dir %{_sysconfdir}/xdg/%{name}
%{_sysconfdir}/xdg/autostart/*.desktop
%{_sysconfdir}/xdg/%{name}/%{name}.rc
%{_datadir}/xfce4/tips

%{_datadir}/themes/Default/balou
%{_desktopdir}/*.desktop
%{_iconsdir}/hicolor/*/*/*
%{_mandir}/man1/*.1*

%docdir %{_datadir}/xfce4/doc
%{_datadir}/xfce4/doc/C/*
%lang(fr) %{_datadir}/xfce4/doc/fr/*
#%lang(he) %{_datadir}/xfce4/doc/he/*

%files libs
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libxfsm-*.so.*.*.*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libxfsm-*.so
%{_libdir}/libxfsm-*.la
%{_includedir}/xfce4/xfce4-session-*
%{_pkgconfigdir}/xfce4-session-*.pc

%if %{with static_libs}
%files static
%defattr(644,root,root,755)
%{_libdir}/libxfsm-*.a
%endif

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: xfce4-session.spec,v $
Revision 1.31.2.2  2007/04/19 20:43:49  megabajt
- updated to 4.4.1

Revision 1.31.2.1  2007/01/29 10:02:45  megabajt
- Ac deps

Revision 1.31  2007/01/28 13:56:56  megabajt
- added O: xfce4-toys

Revision 1.30  2007/01/22 18:09:45  megabajt
- updated to 4.4.0

Revision 1.29  2006/11/06 18:19:45  megabajt
- up to 4.3.99.2 (Xfce 4.4RC2)

Revision 1.28  2006/09/04 18:57:29  megabajt
- oops... fix typo

Revision 1.27  2006/09/04 18:15:07  megabajt
- updated to 4.3.99.1
- added %update_icon_cache macro

Revision 1.26  2006/07/16 19:58:18  freetz
- merged from DEVEL

Revision 1.25.2.4  2006/07/16 19:57:44  freetz
- 4.3.90.2, updated deps, --as-needed support

Revision 1.25.2.3  2006/05/17 04:51:55  charles
- without static_libs bcond

Revision 1.25.2.2  2006/05/17 04:40:49  charles
- BR: intltool

Revision 1.25.2.1  2006/05/10 21:01:11  freetz
- 4.3.90.1

Revision 1.25  2006/03/17 16:09:08  megabajt
- update for xorg (change path to iceauth)
- R: xorg-app-iceauth

Revision 1.24  2006/02/28 23:37:25  glen
- adapterized (killed trailing spaces/tabs)

Revision 1.23  2005/11/10 04:39:45  charles
- updated to 4.2.3

Revision 1.22  2005/05/20 23:29:27  charles
- lang(fr) for xfce4/doc/fr

Revision 1.21  2005/05/20 02:32:04  koorek
- updated to 4.2.2
- added fr docs
- BR xfce4-dev-tools

Revision 1.20  2005/03/16 12:24:27  charles
- BR: gettext-devel, pkgconfig

Revision 1.19  2005/03/16 03:05:59  koorek
- updated to 4.2.1

Revision 1.18  2005/01/17 18:31:28  charles
- updated to 4.2.0 final

Revision 1.17  2005/01/05 03:30:56  charles
- reverted Rs libxfce4mcs, xfce-mcs-manager
- added R libxfcegui4

Revision 1.16  2005/01/04 17:04:52  charles
- proper BRs versions
- removed redundant R
- corrected licence
- rel. 2 for STBR

Revision 1.15  2004/12/28 12:30:56  troll
- updated to 4.1.99.3 (4.2 RC3)

Revision 1.14  2004/12/22 15:31:16  troll
- seems that authors changed their mind regarding the name, unifications

Revision 1.13  2004/12/14 01:35:42  troll
- updated to 4.1.99.2 (4.2 RC2)

Revision 1.12  2004/11/25 23:53:48  qboosh
- added locale-names patch (no->nb,pt_PT->pt)
- fixed files, package devel stuff

Revision 1.11  2004/11/25 06:48:54  troll
- merged from DEVEL

Revision 1.10.2.12  2004/11/16 23:08:46  ankry
- spaces -> tabs

Revision 1.10.2.11  2004/11/16 21:25:50  dzeus
- proper BR,R

Revision 1.10.2.10  2004/11/16 06:08:45  dzeus
- updated to 4.1.99.1 (4.2 RC1)

Revision 1.10.2.9  2004/11/08 17:44:31  troll
- updated to 4.1.91 (4.2 beta 2)

Revision 1.10.2.8  2004/10/07 19:00:17  troll
- updated to 4.1.90 (4.2 beta 1)

Revision 1.10.2.7  2004/08/16 18:58:17  havner
- [mass commit] 20040816
- not tested yet

Revision 1.10.2.6  2004/08/14 23:08:44  havner
- docdir added

Revision 1.10.2.5  2004/08/13 18:57:05  havner
- proper version
- stricter BR
- 20040813

Revision 1.10.2.4  2004/08/07 00:20:12  havner
- cosmetics

Revision 1.10.2.3  2004/08/07 00:03:17  havner
- 20040806

Revision 1.10.2.2  2004/06/22 13:22:19  jpc
- fixes from troll
- cosmetics

Revision 1.10.2.1  2004/06/18 23:37:46  jpc
- new snap (20040617)
- autotoolize
- some new files (desktop, icons, new place for themes, man page)

Revision 1.10  2004/03/14 20:06:24  adgor
- xsession desktop file moved to xfce4-utils package

Revision 1.9  2004/03/06 13:37:43  andree
- cp config.sub .

Revision 1.8  2003/09/25 20:20:13  adgor
- Changed %%{SOURCE!}

Revision 1.7  2003/09/25 02:08:45  troll
- added source md5 sum

Revision 1.6  2003/09/24 23:26:17  adgor
- Typos

Revision 1.5  2003/09/24 21:58:23  adgor
- Added XFce4.desktop (placed in %%{_datadir}/xsessions)

Revision 1.4  2003/08/12 23:54:17  ankry
- cosmetics

Revision 1.3  2003/08/04 10:28:04  qboosh
- fixed file list, pl cosmetics

Revision 1.2  2003/08/04 07:45:31  pascalek
- cosmetics

Revision 1.1  2003/08/04 01:08:23  troll
- initial release
